Documentation
Version V1.0.2
GET Risk Factors
https://www.microburbs.com.au/report_generator/api/property/risk
Retrieves information about various risk factors that affect a specified property surrounding, including environmental hazards (bushfire, flood) and social factors (public housing density).
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation

Parameters

Name Type Required Description
id text Required Property identifier (GnafID)
geojson boolean Optional Set to 'true' to include geometric shape data of risk areas (default: false)

Response Schema

Field Type Description
results array Array of risk factors affecting the suburb
results[].area_level string Layer
results[].area_name string Risk Layer
results[].name string Type of risk factor (e.g., 'Bushfire Prone Area', 'Flood Prone Area', 'Public Housing')
results[].sa1 string Sa1 level
results[].value string Risk value or percentage (for Public Housing, represents proportion of properties; may be empty for environmental risks)
results[].geometry object GeoJSON geometry data of the risk area (only included when geojson=true)

Request Examples

cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/property/risk?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "area_level": "Risk Layer", "area_name": "Layer", "name": "Bushfire Prone Area", "value": "" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Flood Prone Area", "value": "" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Heritage", "value": "" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "36.9%" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "2.2%" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "6.2%" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "28.7%" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "15.7%" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "2.5%" }, { "area_level": "Risk Layer", "area_name": "Layer", "name": "Public Housing", "value": "6.3%" } ] }
Try it in Sandbox